Package org.jbpm.workflow.instance

## Class WorkflowProcessInstanceUpgrader

- java.lang.Object
- - org.jbpm.workflow.instance.WorkflowProcessInstanceUpgrader

-     public class WorkflowProcessInstanceUpgrader
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WorkflowProcessInstanceUpgrader()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `upgradeProcessInstance​(org.kie.api.runtime.KieRuntime kruntime, long processInstanceId, String processId, Map<String,​Long> nodeMapping)` |
    `static void` | `upgradeProcessInstanceByNodeNames​(org.kie.api.runtime.KieRuntime kruntime, Long fromProcessId, String toProcessId, Map<String,​String> nodeNamesMapping)` | Do the same as upgradeProcessInstance() but user provides mapping by node names, not by node id's

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkflowProcessInstanceUpgrader

          public WorkflowProcessInstanceUpgrader()

  - ### Method Detail

    - #### upgradeProcessInstance

          public static void upgradeProcessInstance​(org.kie.api.runtime.KieRuntime kruntime,
                                                    long processInstanceId,
                                                    String processId,
                                                    Map<String,​Long> nodeMapping)

    - #### upgradeProcessInstanceByNodeNames

          public static void upgradeProcessInstanceByNodeNames​(org.kie.api.runtime.KieRuntime kruntime,
                                                               Long fromProcessId,
                                                               String toProcessId,
                                                               Map<String,​String> nodeNamesMapping)

      Do the same as upgradeProcessInstance() but user provides mapping by node names, not by node id's
      Parameters:
        `kruntime` -
        `activeProcessId` -
        `newProcessId` -
        `nodeNamesMapping` -